Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Data Fields
H5VL_class_t Struct Reference
VOL connector (H5VL) » VOL Developer

`#include <src/H5VLconnector.h>`

## Detailed Description

Class information for each VOL connector

## Data Fields
H5VL_attr_class_t | attr_cls
H5VL_blob_class_t | blob_cls
uint64_t | cap_flags
unsigned | conn_version
H5VL_dataset_class_t | dataset_cls
H5VL_datatype_class_t | datatype_cls
H5VL_file_class_t | file_cls
H5VL_group_class_t | group_cls
H5VL_info_class_t | info_cls
herr_t(* | initialize )(hid_t vipl_id)
H5VL_introspect_class_t | introspect_cls
H5VL_link_class_t | link_cls
const char * | name
H5VL_object_class_t | object_cls
herr_t(* | optional )(void *obj, H5VL_optional_args_t *args, hid_t dxpl_id, void **req)
H5VL_request_class_t | request_cls
herr_t(* | terminate )(void)
H5VL_token_class_t | token_cls
H5VL_class_value_t | value
unsigned | version
H5VL_wrap_class_t | wrap_cls

## Field Documentation

## ◆ attr_cls

H5VL_attr_class_t attr_cls

Attribute (H5A*) class callbacks

## ◆ blob_cls

H5VL_blob_class_t blob_cls

'Blob' class callbacks

## ◆ cap_flags

uint64_t cap_flags

Capability flags for connector

## ◆ conn_version

unsigned conn_version

Version number of connector

## ◆ dataset_cls

H5VL_dataset_class_t dataset_cls

Dataset (H5D*) class callbacks

## ◆ datatype_cls

H5VL_datatype_class_t datatype_cls

Datatype (H5T*) class callbacks

## ◆ file_cls

H5VL_file_class_t file_cls

File (H5F*) class callbacks

## ◆ group_cls

H5VL_group_class_t group_cls

Group (H5G*) class callbacks

## ◆ info_cls

H5VL_info_class_t info_cls

VOL info fields & callbacks

## ◆ initialize

herr_t(* initialize) (hid_t vipl_id)

Connector initialization callback

## ◆ introspect_cls

H5VL_introspect_class_t introspect_cls

Container/connector introspection class callbacks

## ◆ link_cls

H5VL_link_class_t link_cls

Link (H5L*) class callbacks

## ◆ name

const char* name

Connector name (MUST be unique!)

## ◆ object_cls

H5VL_object_class_t object_cls

Object (H5O*) class callbacks

## ◆ optional

herr_t(* optional) (void *obj, H5VL_optional_args_t *args, hid_t dxpl_id, void **req)

Optional callback

## ◆ request_cls

H5VL_request_class_t request_cls

Asynchronous request class callbacks

## ◆ terminate

herr_t(* terminate) (void)

Connector termination callback

## ◆ token_cls

H5VL_token_class_t token_cls

VOL connector object token class callbacks

## ◆ value

H5VL_class_value_t value

Value to identify connector

## ◆ version

unsigned version

VOL connector class struct version number

## ◆ wrap_cls

H5VL_wrap_class_t wrap_cls

VOL object wrap / retrieval callbacks

The documentation for this struct was generated from the following file:

- src/H5VLconnector.h